%global npm_name content-type

Summary:       Create and parse HTTP Content-Type header
Name:          nodejs-%{npm_name}
Version:       1.0.1
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/jshttp/content-type
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Create and parse HTTP Content-Type header according to RFC 7231

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc HISTORY.md LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Initial package
